"
COPYRIGHT (c) 2020 LabWare
"
"{ Package: 'stx:goodies/monticello/test' }"

"{ NameSpace: Smalltalk }"

MCRepositoryTest subclass:#MCDirectoryRepositoryTest
	instanceVariableNames:'directory'
	classVariableNames:''
	poolDictionaries:''
	category:'SCM-Monticello-Tests'
!

!MCDirectoryRepositoryTest class methodsFor:'documentation'!

copyright
"
COPYRIGHT (c) 2020 LabWare


"
! !

!MCDirectoryRepositoryTest methodsFor:'as yet unclassified'!

addVersion: aVersion
	| file |
	file _ FileStream newFileNamed: (directory fullNameFor: aVersion fileName).
	aVersion fileOutOn: file.
	file close.
!

directory
    directory isNil ifTrue: [
        directory := Filename newTemporaryDirectory.
        directory makeDirectory.
    ].
    ^ directory

    "Modified: / 03-07-2020 / 20:08:34 / Jan Vrany <jan.vrany@labware.com>"
!

setUp
    repository := MCDirectoryRepository directory: self directory

    "Modified: / 03-07-2020 / 20:09:33 / Jan Vrany <jan.vrany@labware.com>"
!

tearDown
    directory notNil ifTrue: [
        directory recursiveRemove
    ]

    "Modified: / 03-07-2020 / 20:09:08 / Jan Vrany <jan.vrany@labware.com>"
! !

!MCDirectoryRepositoryTest class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/monticello/test/MCDirectoryRepositoryTest.st,v 1.2 2013-05-29 00:00:31 vrany Exp $'
! !

