"
COPYRIGHT (c) 2020 LabWare
"
"{ Package: 'stx:goodies/monticello/tonel/tests' }"

"{ NameSpace: Smalltalk }"

MCTestCase subclass:#TonelScannerTest
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'SCM-Monticello-Tonel-Tests'
!

!TonelScannerTest class methodsFor:'documentation'!

copyright
"
COPYRIGHT (c) 2020 LabWare

"
! !

!TonelScannerTest methodsFor:'tests'!

testRemoveFromEnclosingStartEnd
    | scanner nl |
    
    nl := Character cr asString.
    scanner := TonelScanner basicNew.
    self 
        assert: (scanner 
            removeFrom: '[ ^ self ]'  
            enclosingStart: $[ 
            end: $])
        equals: '^ self'.
        
    self 
        assert: (scanner 
            removeFrom: ('[ 
    ^ self ]' withLineEndings: nl) 
            enclosingStart: $[ 
            end: $])
        equals: '    ^ self'.
    
    self 
        assert: (scanner 
            removeFrom: ('[ 
    ^ self
    ]' withLineEndings: nl)
            enclosingStart: $[ 
            end: $])
        equals: '    ^ self'.
        
    self 
        assert: (scanner 
            removeFrom: ('[ 

    ^ self

]' withLineEndings: nl)
            enclosingStart: $[ 
            end: $])
        equals: (('
    ^ self
') withLineEndings: nl)

    "Modified: / 03-07-2020 / 16:20:46 / Jan Vrany <jan.vrany@labware.com>"
! !

